Kirjoittaja Aihe: KDE Itinerary  (Luettu 1738 kertaa)

ilkant

  • Käyttäjä
  • Viestejä: 1275
  • Kubuntu
    • Profiili
KDE Itinerary
« : 16.04.24 - klo:20.38 »
Luettuani Volker Krausen blogikirjoitusta February/March in KDE Itinerary, päätin asentaa sen koneelleni Kubuntu 23.10 -järjestelmään. Kun käynnistin ohjelman graafisessa tilassa, ei näyttänyt tapahtuvan mitään. Konsolista käynnistettynä antoi seuraavat virheilmoitukset:

Koodia: [Valitse]
$ itinerary
has portal: true
QQmlApplicationEngine failed to load component
qrc:/main.qml:307:9: Type App.TimelinePage unavailable
qrc:/TimelinePage.qml:123:9: Type App.FlightPage unavailable
qrc:/FlightPage.qml:18:13: Type App.FlightEditor unavailable
qrc:/FlightEditor.qml:84:17: Type App.FormDateTimeEditDelegate unavailable
qrc:/FormDateTimeEditDelegate.qml:10:1: module "org.kde.kirigamiaddons.dateandtime" is not installed

Vaikuttaa keskineräiseltä ohjelmatekeleeltä.

nm

  • Käyttäjä
  • Viestejä: 16293
    • Profiili
Vs: KDE Itinerary
« Vastaus #1 : 16.04.24 - klo:21.36 »
Virheilmoitusten perusteella järjestelmästäsi puuttuu sovelluksen vaatimia kirjastoja. Luultavasti paketoinnissa on vikaa, jos asensit apt:lla.

Nähtävästi korjattu Neonissa muutama päivä sitten:
https://bugs.kde.org/show_bug.cgi?id=451228

Kubuntussa kannattaa kokeilla Flatpak-pakettia.
« Viimeksi muokattu: 16.04.24 - klo:21.39 kirjoittanut nm »

SuperOscar

  • Käyttäjä
  • Viestejä: 4004
  • Ocatarinetabellatsumtsum!
    • Profiili
    • Legisign.org
Vs: KDE Itinerary
« Vastaus #2 : 17.04.24 - klo:15.59 »
Itineraryn suomennosta koskevat moitteet ja avautumiset voi muuten osoittaa minulle. Tiedän että siellä on joitakin heikkouksia: matkailusanasto on vaikeaa.
pöytäkone 1, kannettavat 1–3: Debian GNU/Linux 12; pöytäkone 2: openSUSE Tumbleweed; NUC: openSUSE Leap 15.5; RPi 1: FreeBSD 14-RELEASE; RPi 2: LibreELEC 11

ilkant

  • Käyttäjä
  • Viestejä: 1275
  • Kubuntu
    • Profiili
Vs: KDE Itinerary
« Vastaus #3 : 20.04.24 - klo:22.56 »
Luultavasti paketoinnissa on vikaa, jos asensit apt:lla.

Muistelen asentaneeni apt:llä.

Koodia: [Valitse]
$ dpkg -l | grep itinerary
ii  itinerary                                                   23.08.1-0ubuntu1                              amd64        Digital travel assistant protecting your privacy
ii  libkpim5itinerary5:amd64                                    23.08.1-0ubuntu1                              amd64        library for Travel Reservation information
ii  libkpimitinerary-data                                       23.08.1-0ubuntu1                              all          library for Travel Reservation information - arch independent data

$ aptitude search '~i!~M' | grep itinerary
i  itinerary - Digital travel assistant protecting your privacy

nm

  • Käyttäjä
  • Viestejä: 16293
    • Profiili
Vs: KDE Itinerary
« Vastaus #4 : 21.04.24 - klo:09.31 »
Joo, eli Kubuntussa Itineraryn paketoinnista puuttuu olennaisia riippuvuuksia. Voit yrittää päätellä tarvittavat paketit ja asentaa ne erikseen apt:lla, tai voit asentaa Itineraryn esimerkiksi Flatpakin avulla.